Name:		xsupplicant
Summary:	Open Source Implementation of IEEE 802.1x
Version:	2.2.0
Release:	2%{?dist}
License:	GPLv2+ or BSD with advertising
Group:		System Environment/Base
URL:		http://www.open1x.org/
Source0:	http://downloads.sourceforge.net/open1x/XSupplicant-%{version}-src.tar.gz
Source1:	XSupplicantUI.desktop
Patch2:		xsupplicant-2.1.8-ui-Fedora.patch
Patch3:		XSupplicant-2.1.8-ppc-fix.patch
Patch4:		xsupplicant-2.1.9-force-release.patch
Patch5:		xsupplicant-2.2.0-implicit-DSO.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libtool, dos2unix, libxml2-devel, pcsc-lite-devel, libtnc-devel
BuildRequires:	openssl-devel, wireless-tools-devel
# UI BuildRequires:
BuildRequires:	qt4-devel, desktop-file-utils

%description
This software allows a GNU/Linux or BSD workstation to authenticate with
a RADIUS server using 802.1x and various EAP protocols.  The intended
use is for computers with wireless LAN connections to complete a strong
authentication before joining the network.

%package devel
Summary:	Development files for xsupplicant
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries and headers for xsupplicant.

%package ui
Summary:	Graphical User Interface for xsupplicant
Group:		System Environment/Base
License:	GPLv2
Requires:	%{name} = %{version}-%{release}

%description ui
QT User Interface for XSupplicant.

%prep
%setup -q -n XSupplicant-%{version}-src
# Find UI files in a sane system location
%patch2 -p1 -b .Fedora
# Fix PPC (enough to get it building, not run-tested)
%patch3 -p1 -b .ppc
# Force the UI bits to be built as "release", not "debug"
%patch4 -p1 -b .release
# Fix implicit linking issues
%patch5 -p1 -b .DSO
cd xsupplicant
autoreconf -vfis

%build
pushd xsupplicant
%configure --enable-tnc --enable-eap-fast --enable-eap-sim
make %{?_smp_mflags}
popd
pushd xsupplicant-ui/xsupptray
qmake-qt4 XSupplicantUI-unix.pro
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd xsupplicant
make DESTDIR=$RPM_BUILD_ROOT install
popd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.user.conf

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a

# ui bits
pushd xsupplicant-ui
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -a Skins $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p build-release/XSupplicantUI $RPM_BUILD_ROOT%{_bindir}
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp xsupplicant-ui/Skins/Default/icons/prod_color.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/XSupplicantUI.png

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc xsupplicant/AUTHORS xsupplicant/COPYING 
%doc xsupplicant/LICENSE xsupplicant/README 
%doc xsupplicant/doc/README* 
%doc xsupplicant/doc/extending_*
%doc xsupplicant/doc/xsupplicant_eap*
%doc xsupplicant/doc/Xsupplicant-wireless-cards.html
%doc xsupplicant/etc/*.conf
%config(noreplace) %ghost %{_sysconfdir}/xsupplicant.conf
%config(noreplace) %ghost %{_sysconfdir}/xsupplicant.user.conf
%{_bindir}/connect-tool
%{_bindir}/config-parser
%{_bindir}/ipcevents
%{_bindir}/ipctest
%{_bindir}/xsup_ntpwdhash
%{_sbindir}/xsupplicant
%{_libdir}/libbirddog.so.*
%{_libdir}/libsoftsim*.so.*

%files devel
%defattr(-,root,root,-)
%doc xsupplicant/doc/standards/
%{_includedir}/xsupconfcheck.h
%{_includedir}/xsupconfig.h
%{_includedir}/xsupgui.h
%{_includedir}/xsupgui_events.h
%{_includedir}/xsupgui_events_state.h
%{_libdir}/libbirddog.so
%{_libdir}/libsoftsim*.so

%files ui
%defattr(-,root,root,-)
%doc xsupplicant-ui/Doc/*.odt  xsupplicant-ui/Doc/*.pdf  xsupplicant-ui/Doc/*.txt
%{_bindir}/XSupplicantUI
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/XSupplicantUI.png
%{_datadir}/%{name}/

%changelog
* Wed Feb 10 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.0-2
- fix implicit DSO linking issue with libdl

* Fri Jan 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.0-1
- update to 2.2.0

* Wed Jan 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.9-1
- update to 2.1.9
- force UI bits to be built with release, not debug

* Wed Sep  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.8-2
- duct tape fix for ppc/ppc64, not run-tested

* Wed Sep  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.8-1
- update to 2.1.8

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.1.7-3
- rebuilt with new openssl

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 14 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.7-1
- update to 2.1.7, drop static libs, add ui package

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 1.2.8-9
- rebuild with new openssl

* Tue Jul  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-8
- fix iwlib handling

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-7
- rebuild against fixed kernel headers

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.8-6.2
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-5.2
- give up on trying to build the docs

* Tue Dec 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.8-5.1
- Fix docs patch so docs regenerate

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.2.8-5
- Rebuild for deps

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.4
- fix it again!

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.3
- fix docs patch

* Mon Oct 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.2
- multilib fix (bz 228395)

* Tue Aug 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4.1
- fix iwlibpatch in devel

* Tue Aug 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-4
- rebuild for BuildID

* Mon Aug  6 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-3
- fix xsupplicant to compile in devel (needs linux/if.h)
- fix doc generation
- fix license

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 1.2.8-2
- Rebuild against newer libiw.so

* Tue Nov 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.8-1
- everyone gets 1.2.8, close out bz 212700

* Tue Nov 21 2006 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 1.2.8-0
- update to 1.2.8
- removed xsupplicant-1.2.7-ducttapefixes.patch
- updated nocompilerh patch for latest version

* Sun Sep 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-3
- fix ducttape patch for FC-4/FC-5

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-2
- fix typo in FC-5 spec

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.7-1
- bump to 1.2.7

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.6-1
- bump to 1.2.6
- remove all includes for linux/compiler.h, its not needed (and not present on Fedora)
- remove hack for wireless.h for FC6+

* Fri Apr  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.4-1
- bump to 1.2.4

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.3-2
- whoops. missed a file.

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.3-1
- bump to 1.2.3
- split package into main and devel

* Tue Jan  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.2-7
- fix a possible bufferoverflow bz 170045

* Tue Nov  5 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-6
- compile fix

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-3
- still need half of the docsfix patch

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-2
- needs wireless tools to build

* Mon Oct 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.2-1
- bump to 1.2.2, should resolve bz 167467
- all patches obsoleted by upstream cleanups

* Fri Sep 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-5
- patch to try to resolve bz 167467

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-4
- use lynx instead of elinks

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-3
- BR: docbook-dtds, docbook-style-dsssl
- patch to use local docbookx.dtd

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-2
- the new doc generation tool has some new BR: openjade, elinks, jadetex

* Sat Sep  3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2.1-1
- bump to 1.2.1 release

* Fri Aug 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-1
- bump to 1.2 final

* Sat Aug 13 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-0.1.pre1
- initial package for Fedora Extras
